Subject: Re: [bug#38640] [PATCH] Add ripgrep and many rust dependencies

From: Efraim Flashner <[email-masked]>
Date: Thu, 19 Dec 2019 09:25:36 +0200

On Wed, Dec 18, 2019 at 04:42:42PM +0000, John Soo wrote:
> Hi Martin,
> 
> > So the ` hidden? #t ` also hides the package from (find-packages*)
> > functions in (gnu packages). I actully want to be able to search for and
> > use rust libraries with guix, so I prefer not to hide them.
> 
> I totally agree. I can't find any documentation on #skip-build though. Can
> you provide a snippet, maybe?
> 

I also agree on not hiding the rust libraries. IIRC it also confuses the
importer into thinking the packages aren't available and should be
imported.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted